/***********************************************************************
 * Program: BasicBean2.java
 * Purpose: When called by BasicBean1, displays its frame.  Has a button
 * that causes BasicBean2 to close itself and notify BasicBean1.
 ***********************************************************************/

import java.awt.*;
import java.awt.event.*;

public class Window1 extends Frame implements ActionListener {
  
  Panel p1;
  Button b1;
  String name;
  Control listener;

  public Window1(Control parent) {
    listener=parent;
    init();
  }

  public Window1() {
    listener=null;
    init();
  }
  
  public void init() {
    p1=new Panel();
    b1=new Button("Window 1");
    b1.addActionListener(this);
    p1.add(b1);
    add(p1);
  }
  
  public void actionPerformed(ActionEvent e) {
    Object source=e.getSource();
    if((source==b1)&&(listener!=null)) {
      listener.told(this);
    }
    else {
      setDone();
    }
  }

  //Some get() methods.
  public String getName() {
    return this.name;
  }

  //Some set() methods.
  public void setTitle(String title) {
    super.setTitle(title);
  }
  
  public void setDone() {
    this.dispose();
    //    System.exit(1);
  }
  
  public void setName(String name) {
    this.name=name;
  }

  public static void main(String[] args) {
    Window1 w1=new Window1();
    w1.addWindowListener(new WindowAdapter() {
      public void windowClosing(WindowEvent e) {System.exit(0);}
    });
    w1.setSize(400,400);
    w1.show();
  }
}


  
